Bug 619407 - Review Request: perl-Font-TTFMetrics - Parser for the TTF file
Review Request: perl-Font-TTFMetrics - Parser for the TTF file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 09:31 EDT by Xavier Bachelot
Modified: 2010-09-11 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Font-TTFMetrics-0.1-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 16:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2010-07-29 09:31:06 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Font-TTFMetrics.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Font-TTFMetrics-0.1-1.fc13.src.rpm
Description:
Font::TTFMetrics encapsulates the font metrics of a true type font file. A
true type font file contains several tables which need to be parsed before
any useful information could be gathered about the font. There is the
excellent module for parsing TTF font in CPAN by Martin Hosken, Font::TTF.
But in my opinion the use of Font::TTF requires intimate knowledge of TTF
font format. This module was written to support the use of TTF in Pastel 2D
graphics library in Perl. Three factors prompted me to write this module:
first, I required a fast module to access TTF file. Second, all the access
required was read-only. Last, I wanted a user friendly, higher level API to
access TTF file.
Comment 1 Marcela Mašláňová 2010-08-03 09:14:01 EDT
You are missing in BR: perl(Test::More)
http://koji.fedoraproject.org/koji/getfile?taskID=2376641&name=build.log
Comment 2 Xavier Bachelot 2010-08-17 11:27:13 EDT
That's what I deserved for mock building against EL-5 rather than current Fedora.
Fixed in : 
http://www.bachelot.org/fedora/SPECS/perl-Font-TTFMetrics.spec
http://www.bachelot.org/fedora/SRPMS/perl-Font-TTFMetrics-0.1-2.fc13.src.rpm
Comment 3 Marcela Mašláňová 2010-08-23 03:45:27 EDT
Everything fine (rpmlint, license, build, ...).
http://koji.fedoraproject.org/koji/taskinfo?taskID=2417847
Comment 4 Xavier Bachelot 2010-08-23 04:30:17 EDT
Thanks for the review, Marcela.

New Package SCM Request
=======================
Package Name: perl-Font-TTFMetrics
Short Description: Parser for the TTF file
Owners: xavierb
Branches: f12 f13 f14 el5 el6
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-08-23 17:10:46 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-08-25 04:51:19 EDT
perl-Font-TTFMetrics-0.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.fc13
Comment 7 Fedora Update System 2010-08-25 04:51:25 EDT
perl-Font-TTFMetrics-0.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.el5
Comment 8 Fedora Update System 2010-08-25 04:51:29 EDT
perl-Font-TTFMetrics-0.1-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.fc14
Comment 9 Fedora Update System 2010-08-25 04:51:34 EDT
perl-Font-TTFMetrics-0.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.fc12
Comment 10 Fedora Update System 2010-08-25 09:31:53 EDT
perl-Font-TTFMetrics-0.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Font-TTFMetrics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.fc14
Comment 11 Fedora Update System 2010-08-25 14:54:52 EDT
perl-Font-TTFMetrics-0.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Font-TTFMetrics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Font-TTFMetrics-0.1-2.el5
Comment 12 Fedora Update System 2010-09-02 16:36:57 EDT
perl-Font-TTFMetrics-0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-09-02 16:40:46 EDT
perl-Font-TTFMetrics-0.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-09-04 01:19:24 EDT
perl-Font-TTFMetrics-0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-09-11 14:25:33 EDT
perl-Font-TTFMetrics-0.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.